# ThreadMutex_Win32 Class Reference

Win32 thread version of ThreadMutex. More...

Inheritance diagram for ThreadMutex_Win32:

## Public Member Functions

void | BeginCritical ()
| Begin the critical section.
void | EndCritical ()
| End of the critical section.
void | WaitForSignal ()
| Wait for a signal to be send.
void | SendSignal ()
| Send a signal and wake the 'thread' that was waiting for it.

## Private Attributes

CRITICAL_SECTION | critical_section
HANDLE | event

## Detailed Description

Win32 thread version of ThreadMutex.

Definition at line 107 of file thread_win32.cpp.

## Member Function Documentation

void ThreadMutex_Win32::WaitForSignal | ( |  | ) | `[inline, virtual]`

Wait for a signal to be send.

Precondition:
  You must be in the critical section.

Note:
  While waiting the critical section is left.

Postcondition:
  You will be in the critical section.

Implements ThreadMutex.

Definition at line 135 of file thread_win32.cpp.

References BeginCritical(), and EndCritical().

The documentation for this class was generated from the following file:

- src/thread/thread_win32.cpp